Skip to content
Docs

Complete a blob upload

PUThttps://api.vercel.com/v2/{teamSlug}/{projectSlug}/{repositoryName}/blobs/uploads/{uuid}
PUT /v2/:teamSlug/:projectSlug/:repositoryName/blobs/uploads/:uuid?digest= Complete the blob upload. This may include a final chunk of data in the request body (monolithic upload) or just finalize a previous chunked upload.
https://api.vercel.com/v2/{teamSlug}/{projectSlug}/{repositoryName}/blobs/uploads/{uuid}
const response = await fetch('https://api.vercel.com/v2/teamSlug/projectSlug/repositoryName/blobs/uploads/uuid?digest=string', {
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);
Response
"value"
teamSlugstringRequired
Single Docker repository team slug component.
projectSlugstringRequired
Single Docker repository project slug component.
repositoryNamestringRequired
Single Docker repository name component.
uuidstringRequired
Blob upload session identifier.
digeststringRequired
Content-addressable digest (algorithm:hex).
201Success
400One of the provided values in the request query is invalid.
401The request is not authorized.
402The account is missing a payment so payment method must be updated
403You do not have permission to access this resource.
404Error
408Error
410Error
413Error